LabVIEW

cancel
Showing results for 
Search instead for 
Did you mean: 

FPGA compilation issue with CAN NI9853 and Crio 9057

Solved!
Go to solution

Hello,

 

My config is the following:

 

LV 2018 sp1,LV RT 2018 sp1, LV FPGA 2018, Vivado 2017.2, NI CompactRIO 19.5

 

When I try to compile a FPGA  with a NI9853 CAN Input/Output, the compilation failed with Crio9057 or Crio9045 where as it works fine with a CRio 9066.

 

"Details:
ERROR: [Synth 8-1031] cerrorout is not declared [C:/NIFPGA/jobs/q7A1M95_Z3f4HmE/Slot_1.vhd:9875]
ERROR: [Synth 8-1568] actual of formal out port cerrorout cannot be an expression [C:/NIFPGA/jobs/q7A1M95_Z3f4HmE/Slot_1.vhd:9875]
INFO: [Synth 8-2810] unit behavioral ignored due to previous errors [C:/NIFPGA/jobs/q7A1M95_Z3f4HmE/Slot_1.vhd:9528]
INFO: [Synth 8-2810] unit slot_1 ignored due to previous errors [C:/NIFPGA/jobs/q7A1M95_Z3f4HmE/Slot_1.vhd:10474]"

 

Does somebody have an idea of about my problem ?

 

I enclosed my test project, if someone wants to try a compilation.

 

Thanks for help.

 

 

0 Kudos
Message 1 of 5
(630 Views)

Hi gnou,

 

What is the Operating systems used? FYI, vivado only support Windows 10.

NI 985x modules should work fine with cRIO combo chassis (905x).

Differences between 905x and 906x is mainly that 905x are combo chassis, they accept 3 modes:

- Daqmx, FPGA, Scan Engine

While 906x do not offers daqmx support.

 

I tried compiling with LabVIEW 2019 and it worked.

About Xilinx IDE, VIVADO 17.2 is ok for the 905x and also the 906x.

Have you tried to compile the design on the cloud (your dev computer must be connected to internet for this):

https://users.niwsc.com/compilecloud/#/

 

About your application have you considered using NI 986x modules that support CAN FD and support natively XNET drivers (no need of FPGA)?

 

Regards,

0 Kudos
Message 2 of 5
(588 Views)
Solution
Accepted by gnou

HI gnou,

 

I give a try also with LabVIEW 2018 (not SP1). it works but i had to add error terminals to the IO module in the LV FPGA diagram.

 

Hope that helps,

BR

Rémi.D

 

0 Kudos
Message 3 of 5
(579 Views)

Thanks Rémy for your help.

 

I have Windows 10 as requested.

 

Thanks to your answer, I tried to compile with the cloud service.

 

I get the same error (see the attached screenshot). I will re-install all my softwares.

 

I thought about the NI9860, but I prefer to used my CAN libraries (compatible with NI9853) to have all my signals well synchronized with the CAN messages.

 

I already use NI-Xnet for small applications but I don't know how to get synchronize with my analog signals (read by a DMA FIFO). I don't have the time to work on this topic yet.

 

About the CAN-FD, I saw that the NI 9860 with the TRC-8542 Transceiver is limited to a 2Mbits/s baud-rate. Is it plan to sell a module with a bigger baud-rate ? (as the CAN-FD can reach 8Mbits/s)

 

 

0 Kudos
Message 4 of 5
(579 Views)

It's ok with the error terminals.

 

Thanks a lot .

 

 

0 Kudos
Message 5 of 5
(577 Views)